Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026464
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminorhave not tried2014-05-05 18:492014-08-19 20:16
ReporterjonalegriaesarteView Statuspublic 
Assigned Torafaroda 
PriorityhighResolutionfixedFixed in Versionpi
StatusclosedFix in branchpiFixed in SCM revision5ca94c9c9989
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAtulOpenbravo
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026464: Define a new price list version with name included in the old version, duplicates entries in product selector

DescriptionDefine a new price list version with name included in the old version, duplicates entries in product selector
Steps To ReproduceWe are going to describe the issue using sales flow, but the same happens in purchase flow
- Tarifa de ventas price list
- Change the name of the actual version to "Tarifa de ventas tva"
- Define a new version starting from today, called "Tarifa de ventas". Define prices using the button create price list, taking as base the old version of Tarifa de ventas.
- Create a new sale invoice
- Create a new line, in product selector, the products appear twice
- Opening the selector, you can understand better the issue. The system is filtering by price list, but it is take into consideration the name to filter and the system shows similar names, instead of filtering by ID.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027288 closedinigosanchez Review display logic of Clause Left Part field in Defined Selector Field tab 

-  Notes
(0069003)
jonalegriaesarte (reporter)
2014-07-31 10:16

Same happens in purchase plan tab
(0069035)
rafaroda (developer)
2014-08-01 16:27
edited on: 2014-08-04 09:14

Product selector issue is reproducing in:
* Purchase Invoice
* Sales Invoice

In Purchase Order and Sales Order product selector is working fine.

(0069037)
rafaroda (developer)
2014-08-01 16:49

In Application Dictionary:
* C_ORDERLINE table is using for column M_PRODUCT_ID, the Reference: Product - Search - Defined Selector: ProductByPriceAndWarehouse
* C_INNVOICELINE table is using for column M_PRODUCT_ID, the Reference: ProductSimple - OBUISEL_Selector Reference - Defined Selector: ProductSimple
(0069383)
hgbot (developer)
2014-08-15 08:42

Repository: erp/devel/pi
Changeset: 5ca94c9c998944df8a474eef548dbb328a23d4c4
Author: Rafa Roda Palacios <rafa.roda <at> ubiquads.com>
Date: Thu Aug 14 14:22:11 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5ca94c9c998944df8a474eef548dbb328a23d4c4 [^]

Fixes issue 26464 Added Clause Left Part to Defined Selector Field PriceListVersionID of ProductSimple reference

---
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
---
(0069450)
hudsonbot (developer)
2014-08-18 01:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ed428d44c18c [^]
Maturity status: Test
(0069526)
AtulOpenbravo (developer)
2014-08-19 20:16

Verified

- Issue History
Date Modified Username Field Change
2014-05-05 18:49 jonalegriaesarte New Issue
2014-05-05 18:49 jonalegriaesarte Assigned To => pramakrishnan
2014-05-05 18:49 jonalegriaesarte Modules => Core
2014-05-05 18:49 jonalegriaesarte Triggers an Emergency Pack => No
2014-06-16 12:48 jonalegriaesarte Target Version PR14Q3 => PR14Q4
2014-07-31 10:16 jonalegriaesarte Note Added: 0069003
2014-07-31 10:20 extra Issue Monitored: extra
2014-08-01 10:01 rafaroda Status new => scheduled
2014-08-01 10:01 rafaroda Assigned To pramakrishnan => rafaroda
2014-08-01 10:01 rafaroda fix_in_branch => pi
2014-08-01 16:27 rafaroda Note Added: 0069035
2014-08-01 16:49 rafaroda Note Added: 0069037
2014-08-04 09:14 rafaroda Note Edited: 0069035 View Revisions
2014-08-07 09:48 rafaroda Relationship added related to 0027288
2014-08-15 08:42 hgbot Checkin
2014-08-15 08:42 hgbot Note Added: 0069383
2014-08-15 08:42 hgbot Status scheduled => resolved
2014-08-15 08:42 hgbot Resolution open => fixed
2014-08-15 08:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5ca94c9c998944df8a474eef548dbb328a23d4c4 [^]
2014-08-18 01:58 hudsonbot Checkin
2014-08-18 01:58 hudsonbot Note Added: 0069450
2014-08-19 20:16 AtulOpenbravo Review Assigned To => AtulOpenbravo
2014-08-19 20:16 AtulOpenbravo Note Added: 0069526
2014-08-19 20:16 AtulOpenbravo Status resolved => closed
2014-08-19 20:16 AtulOpenbravo Fixed in Version => pi


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker